#define	SIOPORT "/dev/ttyS0"
//#define	SIO_WAIT 20	/* time to wait select() in seconds */
#define	SIO_WAIT 5	/* time to wait select() in seconds */

#define	DOME_OPEN_COM "MV00223\n"
#define	DOME_CLOSE_COM "MV00221\n"
//#define	DOME_CLOSE_COM1 "MV00201\n"
//#define	DOME_CLOSE_COM2	"MV00211\n"
#define	DOME_STATUS_COM "ST0022\n"
#define	DOME_STAT_OPEN 3
#define	DOME_STAT_CLOSE 1
#define	DOME_STAT_UNKNOWN 2

#define	DOME_ERR -1
#define	DOME_OK 0

#define SYNC_PULSE_ON  "MV00231\n"
#define SYNC_PULSE_OFF "MV00230\n"
#define SYNC_PULSE_STATUS "ST0023\n"
#define SYNC_PULSE_STAT_ON  "ST00231\n"
#define SYNC_PULSE_STAT_OFF "ST00230\n"
#define SET_SHUTTER_INT "MV0025"
#define CCD_POWER_ON  "MV00041\n"
#define CCD_POWER_OFF "MV00040\n"
#define CCD_POWER_STATUS "ST0004\n"


int dome_open();
int dome_close();
int dome_status();
int init_sio();
int close_sio(int);
int sendchar_sio(int, char);
int sendstr_sio(int, char *);
int recievechar_sio(int, char *);
int recievestr_sio(int, char *, int nchar);

int ccd_on();
int ccd_off();
int set_shutter_speed(char *sp);
int flush_sio();

