/* for log file output
 * 2003.01.29-
 * 2004.02.21 for finder
 * Time-stamp: <2004-11-26 08:30:55 dimm>
 */
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <gtk/gtk.h>

#include "finder.h"

int setoutputfile (void) {
  char outstr[100];

  /* update ctime */
  get_localtime(&(mseemon.ctime));

  sprintf(outstr, "%s/finder%04d%02d%02d%02d%02d%02d.log", 
	  LOGPATH,
	  mseemon.ctime.year, 
	  mseemon.ctime.month,
	  mseemon.ctime.day,
	  mseemon.ctime.hour,
	  mseemon.ctime.min,
	  mseemon.ctime.sec);

  printf("output file: %s\n", outstr);

  if ((fout = fopen(outstr, "w")) == NULL) {
    printf("failed in opening logfile %s.\n");
    return(EXIT_FAILURE);
  }

  fprintf(fout, "#logfile of finder version %s\n", VERSION);
  //  fprintf(fout, "#date-time          cg0x   cg0y   cg1x   cg1y   diffcgx     diffcgy      r0x      r0y      fwhmx  fwhmy fwhmcx fwhmcy ndata  telra  teldc telha telel\n");

  return(EXIT_SUCCESS);
}

/* close log file */
void closeoutputfile(void) {
  fclose(fout);
}

/* output current time */
void output_ctime(FILE *fp) {
  char str[20];

  get_localtime(&(mseemon.ctime));
  sprintf(str, " %04d.%02d.%02d-%02d:%02d:%02d", 
	  mseemon.ctime.year, 
	  mseemon.ctime.month,
	  mseemon.ctime.day,
	  mseemon.ctime.hour,
	  mseemon.ctime.min,
	  mseemon.ctime.sec);
  
  fprintf(fout, "%s ", str);
}
