#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <gtk/gtk.h>

#include "finder.h"

int read_conf(char* configfile) {
  FILE *fp;
  char line[256], dummy[256], tmpstr1[16];
  int linenum = 1;

  if ((fp = fopen(configfile, "r")) == NULL) {
    printf("# failed in opening %s.\n", configfile);
    return(EXIT_FAILURE);
  }

  printf("# read from %s:\n", configfile);
  while (fgets(line, 256, fp)) {
    switch(linenum) {
    case 1:
      sscanf(line, "%s %s\n", dummy, sockhost);
      printf("%s:%s \n", dummy, sockhost);
      break;
    case 2:
      sscanf(line, "%s %s\n", dummy, tmpstr1);
      if (strcmp(tmpstr1,"true")==0) {
	printf("network connected.\n");
	netconnect = 1;
      } else {
	printf("network unplugged.\n");
	netconnect = 0;
      }
      break;
    case 3:
      sscanf(line, "%s %s\n", dummy, tmpstr1);
      if (strcmp(tmpstr1,"true")==0) {
	printf("standalone operation.\n");
	standalone = 1;
      } else {
	printf("connected to a enclosure.\n");
	standalone = 0;
      }
      break;
    case 4:
      sscanf(line, "%s %s\n", dummy, tmpstr1);
      mseemon.hum_limit = atoi(tmpstr1);
      printf("humidity limit: %d.\n", mseemon.hum_limit);
      break;
    }
    linenum++;
  }

  return(EXIT_SUCCESS);
}
