#!/usr/bin/perl -w
# auto startup for finder
# 2005.01.04

# files
$timefile = "/usr/local/share/seemon2/finder.time";

# get current time
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)= localtime(time);
$ctime = $hour + $min/60.;
$year += 1900;
$mon  += 1;

$flg0 = 1;

open(IN, $timefile) || die "failed opening $timefile";
while (<IN>) {
    if ($_ !~ /^\#/) {
	@fld = split;
	if ($fld[0] =~ /start/) {
	    if ($fld[1] =~ /cancel/) {
		$flg0 = 0;
	    } else {
		$time0 = $fld[1];
		$flg1 = $fld[2];
	    }
	}
	if ($fld[0] =~ /end/) {
	    $time1 = $fld[1];
	}
    }
}
close(IN);

if ($flg0) {
    # check time 
    if ($ctime >= $time0 &&
	$flg1 == 0) {
	# start obs.

	# time to start op.
	if ($mon == 1) {
	    $stime = 18.0;
	} elsif ($mon == 2) {
	    $stime = 18.5;
	} elsif ($mon == 3) {
	    $stime = 18.75;
	} elsif ($mon == 4) {
	    $stime = 19.25;
	} elsif ($mon == 5) {
	    $stime = 19.5;
	} elsif ($mon == 6) {
	    $stime = 20.0;
	} elsif ($mon == 7) {
	    $stime = 20.0;
	} elsif ($mon == 8) {
	    $stime = 19.5;
	} elsif ($mon == 9) {
	    $stime = 19.0;
	} elsif ($mon == 10) {
	    $stime = 18.25;
	} elsif ($mon == 11) {
	    $stime = 17.75;
	} elsif ($mon == 12) {
	    $stime = 17.5;
	} 

	# time to stop op.
	if ($mon == 1) {
	    $etime = 6.5;
	} elsif ($mon == 2) {
	    $etime = 6.0;
	} elsif ($mon == 3) {
	    $etime = 5.5;
	} elsif ($mon == 4) {
	    $etime = 5.0;
	} elsif ($mon == 5) {
	    $etime = 4.0;
	} elsif ($mon == 6) {
	    $etime = 4.0;
	} elsif ($mon == 7) {
	    $etime = 4.5;
	} elsif ($mon == 8) {
	    $etime = 4.75;
	} elsif ($mon == 9) {
	    $etime = 5.0;
	} elsif ($mon == 10) {
	    $etime = 5.5;
	} elsif ($mon == 11) {
	    $etime = 6.0;
	} elsif ($mon == 12) {
	    $etime = 6.25;
	} 

	# check finder_comm running
	open(IN, "/bin/ps auxw | grep finder_comm|");
	$flg2 = 0;
	while (<IN>) {
	    @fld = split;
	    if ($fld[10] eq "finder_comm") {
		$flg2++;
	    }
	}
	close(IN);
	if ($flg2 == 0) {
	    system("/usr/local/bin/finder_comm &");
	}

	# update time file
	open(OUT, ">$timefile");
	printf OUT "start %5.2f 1\n", $stime;
	printf OUT "end   %5.2f \n", $etime;

	# tell finder to start
	$outfile = "/usr/local/share/seemon2/command.txt";
	open(OUT, ">$outfile");
	printf OUT "start\n";
	close(OUT);
    } elsif ($ctime < 12 &&
	     $ctime >= $time1 &&
	     $flg1 == 1) {
	# obs. (should be) ended
	# update time file
	open(OUT, ">$timefile");
	printf OUT "start %5.2f 0\n", $time0;
	printf OUT "end   %5.2f \n", $time1;
	close(OUT);
    }
}


